Subject: -lkernel32 bug [Re: API's that certainly do work.[...[...]]]
From: [email-masked] (Mumit Khan)

27 Mar 1997 11:59:54 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: Colin Peters <[email-masked]>
Original-Cc: [email-masked]
In-Reply-To: Your message of "Wed, 26 Mar 1997 14:00:50 +0900."
             <01BC39EE.1D621C60@gbird0> 
Original-Sender: [email-masked]

Colin Peters <[email-masked]> writes:
> 
> To summarize: The GNU-Win32 version of ld appears to have problems if
> you link libkernel32 explicitly (e.g. by putting -lkernel32 on the gcc
> command line). This may cause the executable to mysteriously fail under
> Cygwin32 or produce a GP fault under Mingw32 (the difference is that
> Mingw32 doesn't install it's own exception handler). These problems may
> appear or disappear depending on whether certain functions (or numbers
> of functions?) are linked from the Win32 API (possibly from kernel32?).
> 
> To summarize the summary: Don't link with -lkernel32 on your command
> line.

THANK YOU THANK YOU THANK YOU.

I have spent an amazing amount of time getting octave 2.0.5 to even start
up properly and blamed everything from libstdc++ to my g77 patches, and
turned out be precisely the problem you mention. Octave configure extracts
all the libraries that are linked normally and puts them on the link
line explicitly, causing me nothing short of nightmares as a result.

Took away the -lkernel32 from link line and voila! Life is good.

Regards,
Mumit -- [email-masked]
http://www.xraylith.wisc.edu/~khan/
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".